<?php
// $Id: classroom.admin.inc,v 1.2 2009/08/04 06:41:07 osoh Exp $

/**
 * Courses admin tab
 */
function classroom_courses_admin() {
  $form = array();

  $form['classroom_course_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Type'),
    '#description' => t('Content types that could be used as courses.'),
    '#default_value' => variable_get('classroom_course_types', array()),
    '#options' => _classroom_get_node_types(),
  );

  return system_settings_form($form);
}

/**
 * Course validation
 */
function classroom_courses_admin_validate($form, $form_state) {
  //Get the values that are checked and put in an array
  $values = array_unique(array_values($form_state['values']['classroom_course_types']));
  //Removes the empty element
  $values = array_filter($values);

  foreach ($values as $val) {
    if (_classroom_is_type($val, 'resource') ||
        _classroom_is_type($val, 'assignment') ||
        _classroom_is_type($val, 'response')) {
      form_set_error('classroom_courses_types', t('Cannot overlap the types for the elements of Classroom module'));
     }
  } 
}


/**
 * Assignments admin tab
 */
function classroom_assignments_admin() {
  $form = array();

  $form['classroom_assignment_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Type'),
    '#description' => t('Content types that could be used as assignments.'),
    '#default_value' => variable_get('classroom_assignment_types', array()),
    '#options' => _classroom_get_node_types(),
  );

  return system_settings_form($form);
}

/**
 * Assignments admin validation
 */
function classroom_assignments_admin_validate($form, $form_state) {
  //Get the values that are checked and put in an array
  $values = array_unique(array_values($form_state['values']['classroom_assignment_types']));
  //Removes the empty element
  $values = array_filter($values);
  
  foreach($values as $val) {
    if (_classroom_is_type($val, 'course') ||
        _classroom_is_type($val, 'resource') ||
        _classroom_is_type($val, 'response')) {
      form_set_error('classroom_courses_types', t('Cannot overlap the types for the elements of Classroom module'));
    }
  } 
}


/**
 * Response admin tab
 */
function classroom_responses_admin() {
  $form = array();

  $form['classroom_response_types'] = array(
    '#type' => 'radios',
    '#title' => t('Type'),
    '#description' => t('Content types that could be used as responses.'),
    '#default_value' => variable_get('classroom_response_types', null),
    '#options' => _classroom_get_node_types(),
  );

  return system_settings_form($form);
}

/**
 * Response admin validation
 */
function classroom_responses_admin_validate($form, $form_state) {
  //Get the values that are checked and put in an array
  $val = $form_state['values']['classroom_response_types'];
  if ($val == null) return;
  if (_classroom_is_type($val, 'course') ||
      _classroom_is_type($val, 'resource') ||
      _classroom_is_type($val, 'assignment')) {
    form_set_error('classroom_courses_types', t('Cannot overlap the types for the elements of Classroom module'));
  }
}

/**
 * Resources admin tab page
 */
function classroom_resources_admin() {
  $form = array();

  $form['classroom_resource_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Type'),
    '#description' => t('Content types that could be used as resources.'),
    '#default_value' => variable_get('classroom_resource_types', array()),
    '#options' => _classroom_get_node_types(),
  );

  return system_settings_form($form);
}

/**
 * Resource validation
 */
function classroom_resources_admin_validate($form, $form_state) {
  //Get the values that are checked and put in an array
  $values = array_unique(array_values($form_state['values']['classroom_resource_types']));
  //Removes the empty element
  $values = array_filter($values);

  foreach ($values as $val) {
    if (_classroom_is_type($val, 'course') ||
        _classroom_is_type($val, 'assignment') ||
        _classroom_is_type($val, 'response')) {
      form_set_error('classroom_courses_types', t('Cannot overlap the types for the elements of Classroom module'));
    }
  } 
}
